添加/编辑多属性产品
POST
/erp/sc/routing/storage/spu/set接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/spu/set | HTTPS | POST | 5 |
请求参数
spustring必填spu_namestring必填modelstringunitstringstatusintegercidintegerbidintegercreate_uidintegerdeveloper_uidintegerproduct_duty_uidsarray<any>descriptionstringuse_spu_templateintegersku_listarray<object>必填隐藏子属性
skustring必填product_namestringattributearray<object>必填隐藏子属性
pa_idinteger必填pai_idinteger必填picture_listarray<object>隐藏子属性
is_primaryinteger必填purchase_infoobject隐藏子属性
cg_uidintegerpurchase_remarkstringcg_deliveryintegercg_product_lengthnumbercg_product_widthnumbercg_product_heightnumbercg_product_net_weightnumbercg_product_gross_weightnumbercg_package_lengthnumbercg_package_widthnumbercg_package_heightnumbercg_box_lengthnumbercg_box_widthnumbercg_box_heightnumbercg_box_weightnumbercg_box_pcsstringcg_product_materialstringlogisticsobject隐藏子属性
declarationobject隐藏子属性
customs_export_namestringcustoms_import_namestringcustoms_import_price_currencystringcustoms_import_pricenumbercustoms_declaration_unitstringcustoms_declaration_specstringcustoms_declaration_origin_producestringcustoms_declaration_inlands_sourcestringcustoms_declaration_exemptstringclearanceobject隐藏子属性
customs_clearance_materialstringcustoms_clearance_usagestringcustoms_clearance_internal_codestringcustoms_clearance_preferentialstringcustoms_clearance_brand_typestringcustoms_clearance_product_patternstringallocation_remarkstringcustoms_clearance_pic_urlstringbaseobject隐藏子属性
bg_export_hs_codestringspecial_attrarray<any>feeobject隐藏子属性
国家简码_cg_transport_costsnumber国家简码_currencystring国家简码_clearance_pricenumber国家简码_clearance_price_currencystring国家简码_bg_import_hs_codestring国家简码_bg_tax_ratenumberaux_relation_listarray<object>隐藏子属性
aux_skustring必填sku_qtystring必填aux_qtystring必填attribute_skc_listarray<object>隐藏子属性
pa_idinteger必填skcstring必填sku_lisobject隐藏子属性
picture_listobject隐藏子属性
pic_urlstring必填请求示例
{
"spu": "AAAAAABBB",
"spu_name": "AAAAAAAAA",
"model": "",
"unit": "",
"status": 0,
"cid": "",
"bid": "",
"create_uid": 0,
"developer_uid": "",
"product_duty_uids": [],
"description": "",
"use_spu_template": 0,
"sku_list": [
{
"sku": "CWZS20A-S",
"product_name": "儿童沙滩罩衫",
"picture_list": [
{"pic_url":"http://hhjskbnd.png","is_primary":1}
],
"attribute": [
{
"pa_id": "",
"pai_id": ""
}
]
}
],
"purchase_info": {
"cg_uid": 1,
"purchase_remark": "",
"cg_delivery": 0,
"cg_product_length": 0,
"cg_product_width": 0,
"cg_product_height": 0,
"cg_product_net_weight": 0,
"cg_product_gross_weight": 0,
"cg_package_length": 0,
"cg_package_width": 0,
"cg_package_height": 0,
"cg_box_length": 0,
"cg_box_width": 0,
"cg_box_height": 0,
"cg_box_weight": 0,
"cg_box_pcs": "",
"cg_product_material": ""
},
"logistics": {
"declaration": {
"customs_export_name": "",
"customs_import_name": "",
"customs_import_price_currency": "",
"customs_import_price": 0,
"customs_declaration_unit": "",
"customs_declaration_spec": "",
"customs_declaration_origin_produce": "",
"customs_declaration_inlands_source": "",
"customs_declaration_exempt": ""
},
"clearance": {
"customs_clearance_material": "",
"customs_clearance_usage": "",
"customs_clearance_internal_code": "",
"customs_clearance_preferential": "",
"customs_clearance_brand_type": "",
"customs_clearance_product_pattern": "",
"allocation_remark": "",
"customs_clearance_pic_url": ""
},
"base": {
"bg_export_hs_code": "",
"special_attr": []
},
"fee": {
"US_cg_transport_costs": 0,
"US_currency": "",
"US_clearance_price": 0,
"US_clearance_price_currency": "",
"US_bg_import_hs_code": 0,
"US_bg_tax_rate": 0
}
},
"attribute_skc_list": [
{
"pa_id": "",
"skc": ""
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
ps_idinteger必填sku_listarray<object>必填隐藏子属性
product_idinteger必填skustring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "6D1422D5-B767-675D-42F6-F604319C2333",
"response_time": "2023-03-09 14:45:40",
"total": 0,
"data": {
"ps_id": 113,
"sku_list": [
{
"product_id": 48528,
"sku": "CWZS20A-S"
},
{
"product_id": 48529,
"sku": "CWZS20A-M"
},
{
"product_id": 48530,
"sku": "CWZS20A-L"
}
]
}
}